-- ROGUE STEALTH SPELL: 
function GoH_Rogue_MenuButton_Stealth_OnClick()
	    if GoHv5_Rogue_Data.config.Stealth == "NO" then
	    	GoHv5_Rogue_Data.config.Stealth = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Rogue_Data.config.Stealth = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE VANISH SPELL: 
function GoH_Rogue_MenuButton_Vanish_OnClick()
	    if GoHv5_Rogue_Data.config.Vanish == "NO" then
	    	GoHv5_Rogue_Data.config.Vanish = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Rogue_Data.config.Vanish = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE SHADOW_DANCE SPELL: 
function GoH_Rogue_MenuButton_Shadow_Dance_OnClick()
	    if GoHv5_Rogue_Data.config.Shadow_Dance == "NO" then
	    	GoHv5_Rogue_Data.config.Shadow_Dance = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Rogue_Data.config.Shadow_Dance = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE PICK_POCKET SPELL: 
function GoH_Rogue_MenuButton_Pick_Pocket_OnClick()
	    if GoHv5_Rogue_Data.config.Pick_Pocket == "NO" then
	    	GoHv5_Rogue_Data.config.Pick_Pocket = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\PocketChange_1.mp3","Master");
	    else
	    	GoHv5_Rogue_Data.config.Pick_Pocket = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE CHEAP_SHOT SPELL: 
function GoH_Rogue_MenuButton_Cheap_Shot_OnClick()
	    if GoHv5_Rogue_Data.config.Cheap_Shot == "NO" then
	    	GoHv5_Rogue_Data.config.Cheap_Shot = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_Rogue_Data.config.Cheap_Shot = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE BLIND SPELL: 
function GoH_Rogue_MenuButton_Blind_OnClick()
	    if GoHv5_Rogue_Data.config.Blind == "NO" then
	    	GoHv5_Rogue_Data.config.Blind = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Rogue_Data.config.Blind = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end



-- ROGUE SHADOWSTEP SPELL: 
function GoH_Rogue_MenuButton_Shadowstep_OnClick()
	    if GoHv5_Rogue_Data.config.Shadowstep == "NO" then
	    	GoHv5_Rogue_Data.config.Shadowstep = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Rogue_Data.config.Shadowstep = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE SPRINT SPELL: 
function GoH_Rogue_MenuButton_Sprint_OnClick()
	    if GoHv5_Rogue_Data.config.Sprint == "NO" then
	    	GoHv5_Rogue_Data.config.Sprint = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Max_Speed.mp3","Master");
	    else
	    	GoHv5_Rogue_Data.config.Sprint = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end

-- ROGUE EVASION SPELL: 
function GoH_Rogue_MenuButton_Evasion_OnClick()
	    if GoHv5_Rogue_Data.config.Evasion == "NO" then
	    	GoHv5_Rogue_Data.config.Evasion = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_Rogue_Data.config.Evasion = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Rogue_Set_Menu_Button_Images();
end



-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Rogue_Set_Menu_Button_Images()

		

	
	--Rogue

     -- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE STEALTH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_STEALTH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_STEALTH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_STEALTH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Stealth == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_STEALTH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Stealth_Text:SetText("|cFF00AA00Stealth|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_STEALTH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Stealth_Text:SetText("|cFFFF0000Stealth|r");

		end

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE VANISH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_VANISH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_VANISH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_VANISH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Vanish == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_VANISH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Vanish_Text:SetText("|cFF00AA00Vanish|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_VANISH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Vanish_Text:SetText("|cFFFF0000Vanish|r");

		end	

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE SHADOW_DANCE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_SHADOW_DANCE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SHADOW_DANCE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SHADOW_DANCE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Shadow_Dance == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_SHADOW_DANCE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Shadow_Dance_Text:SetText("|cFF00AA00Shadow Dance|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_SHADOW_DANCE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Shadow_Dance_Text:SetText("|cFFFF0000Shadow Dance|r");

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE PICK_POCKET
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_PICK_POCKET_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_PICK_POCKET_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_PICK_POCKET_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Pick_Pocket == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_PICK_POCKET_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Pick_Pocket_Text:SetText("|cFF00AA00Pick Pocket|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_PICK_POCKET_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Pick_Pocket_Text:SetText("|cFFFF0000Pick Pocket|r");

		end	

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE CHEAP_SHOT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_CHEAP_SHOT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_CHEAP_SHOT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_CHEAP_SHOT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Cheap_Shot == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_CHEAP_SHOT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Cheap_Shot_Text:SetText("|cFF00AA00Cheap Shot|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_CHEAP_SHOT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Cheap_Shot_Text:SetText("|cFFFF0000Cheap Shot|r");

		end	
		
	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE BLIND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_BLIND_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_BLIND_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_BLIND_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Blind == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_BLIND_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Blind_Text:SetText("|cFF00AA00Blind|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_BLIND_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Blind_Text:SetText("|cFFFF0000Blind|r");

		end	

	

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE SHADOWSTEP
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_SHADOWSTEP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SHADOWSTEP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SHADOWSTEP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Shadowstep == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_SHADOWSTEP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Shadowstep_Text:SetText("|cFF00AA00Shadowstep|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_SHADOWSTEP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
				-- CHANGE THE TEXT TO RED
		Rogue_Shadowstep_Text:SetText("|cFFFF0000Shadowstep|r");

		end	

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE SPRINT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_SPRINT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SPRINT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_SPRINT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Sprint == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_SPRINT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Rogue_Sprint_Text:SetText("|cFF00AA00Sprint|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_SPRINT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Sprint_Text:SetText("|cFFFF0000Sprint|r");

		end	

	-- ###################################################################################################
        -- ###################################################################################################
		--     ROGUE EVASION
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_ROGUE_EVASION_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_EVASION_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_ROGUE_EVASION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Rogue_Data.config.Evasion == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_ROGUE_EVASION_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
				-- CHANGE THE TEXT TO GREEN
		Rogue_Evasion_Text:SetText("|cFF00AA00Evasion|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_ROGUE_EVASION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
		Rogue_Evasion_Text:SetText("|cFFFF0000Evasion|r");

		

		end
end


